Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DatabaseCommunication
Class DatabaseConnection

    java.lang.Object
      DatabaseCommunication.DatabaseConnection

public class DatabaseConnection
extends java.lang.Object

Author:
  student Class Information: Class : DatabaseConnection.java Package : DatabaseCommunication Project: Pinboard This class is being used for

Constructor Summary
`DatabaseConnection()` This is the constructor for DatabaseConnection.java

Method Summary
`void` | `createTables(java.lang.String statement)` Method: createTables This method is being used for
`void` | `destroyTables(java.lang.String statement)` Method: destroyTables This method is being used for
`void` | `execute(java.lang.String statement)` Method: execute This method is being used for
`java.sql.ResultSet` | `executeSelect(java.lang.String statement)` Method: executeSelect This method is being used for
`java.sql.Connection` | `getConnection()` Method: getConnection This method is being used for

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseConnection

    public DatabaseConnection()

  This is the constructor for DatabaseConnection.java

Method Detail

### createTables

    public void createTables(java.lang.String statement)

  Method: createTables This method is being used for

  Parameters:
    `statement` - void

### destroyTables

    public void destroyTables(java.lang.String statement)

  Method: destroyTables This method is being used for

  Parameters:
    `statement` - void

### executeSelect

    public java.sql.ResultSet executeSelect(java.lang.String statement)

  Method: executeSelect This method is being used for

  Parameters:
    `statement` -
  Returns:
    ResultSet

### execute

    public void execute(java.lang.String statement)

  Method: execute This method is being used for

  Parameters:
    `statement` - void

### getConnection

    public java.sql.Connection getConnection()

  Method: getConnection This method is being used for

  Returns:
    Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD